toorshia/justgage 软件分析报告

基础信息

项目名称:toorshia/justgage

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1762898572043055104/1762898639969808384

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
vm2 custom inspect 函数远程代码执行漏洞 OS命令注入 MPS-189e-xsgv CVE-2023-37903 严重
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
vm2 注入 MPS-dvto-znpx CVE-2023-37466 严重
IP包isPublic函数判断不严 对数据真实性的验证不充分 MPS-svdp-96t3 CVE-2023-42282 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
vm2 3.9.18 间接依赖 强烈建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
ip 1.1.8 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
trim-newlines 1.0.0 3.0.1 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
semver 7.3.7 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 460
ISC 34
Apache-2.0 11
BSD-3-Clause 7
BSD-2-Clause 14
0BSD 1
CC-BY-3.0 1
CC0-1.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
ansi-styles 3.2.1 间接依赖 npm
@octokit/plugin-request-log 1.0.4 间接依赖 npm
has-ansi 2.0.0 直接依赖 npm
git-url-parse 13.1.0 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
browserify-zlib 0.1.4 直接依赖 npm
yaml 1.10.2 间接依赖 npm
parse-github-url 1.0.2 间接依赖 npm
is-number 3.0.0 间接依赖 npm
raw-body 1.1.7 间接依赖 npm
argparse 1.0.10 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
has-bigints 1.0.2 间接依赖 npm
is-buffer 1.1.6 直接依赖 npm
path-exists 4.0.0 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
@babel/highlight 7.14.5 间接依赖 npm
indent-string 2.1.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
is-npm 6.0.0 间接依赖 npm
exit 0.1.2 间接依赖 npm
@octokit/endpoint 7.0.2 间接依赖 npm
nopt 3.0.6 间接依赖 npm
vm2 3.9.18 间接依赖 npm
set-value 2.0.1 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
form-data 4.0.0 间接依赖 npm
https-proxy-agent 5.0.1 间接依赖 npm
websocket-driver 0.7.3 间接依赖 npm
is-ssh 1.4.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
micromatch 3.1.10 间接依赖 npm
inquirer 9.1.2 间接依赖 npm
crypto-random-string 4.0.0 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
onetime 6.0.0 间接依赖 npm
grunt-legacy-log-utils 2.1.0 间接依赖 npm
npm-run-path 5.1.0 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
mimic-fn 4.0.0 间接依赖 npm
meow 3.7.0 直接依赖 npm
picomatch 2.3.1 直接依赖 npm
livereload-js 2.4.0 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
fined 1.2.0 间接依赖 npm
defer-to-connect 2.0.1 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
eventemitter2 0.4.14 间接依赖 npm
@octokit/plugin-paginate-rest 4.3.0 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
lowercase-keys 3.0.0 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
is-date-object 1.0.4 间接依赖 npm
use 3.1.1 间接依赖 npm
ajv 6.12.6 间接依赖 npm
flagged-respawn 1.0.1 间接依赖 npm
type-check 0.4.0 间接依赖 npm
lines-and-columns 1.2.4 直接依赖 npm
is-core-module 2.11.0 间接依赖 npm
shelljs 0.8.5 间接依赖 npm
commander 7.2.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
p-cancelable 3.0.0 间接依赖 npm
figures 1.7.0 间接依赖 npm
import-lazy 4.0.0 间接依赖 npm
repeat-element 1.1.3 间接依赖 npm
parse-url 8.1.0 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
minimist 1.2.6 间接依赖 npm
iterate-value 1.0.2 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
@octokit/request-error 3.0.1 间接依赖 npm
is-number-object 1.0.7 间接依赖 npm
rxjs 7.5.7 间接依赖 npm
restore-cursor 4.0.0 间接依赖 npm
concat-stream 1.6.2 直接依赖 npm
once 1.4.0 间接依赖 npm
es-get-iterator 1.1.2 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
json-buffer 3.0.1 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
grunt-legacy-util 2.0.1 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
atob 2.1.2 间接依赖 npm
get-intrinsic 1.1.3 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
regexpp 3.2.0 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
find-up 5.0.0 间接依赖 npm
keyv 4.5.2 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
ini 1.3.7 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
cli-cursor 4.0.0 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
agent-base 6.0.2 间接依赖 npm
@octokit/openapi-types 13.11.0 间接依赖 npm
ast-types 0.13.4 间接依赖 npm
clone 1.0.4 间接依赖 npm
@octokit/request 6.2.1 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
json-parse-even-better-errors 2.3.1 直接依赖 npm
neo-async 2.6.2 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
cacheable-lookup 7.0.0 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
windows-release 5.0.1 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
xtend 4.0.2 间接依赖 npm
is-stream 3.0.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
is-bigint 1.0.4 间接依赖 npm
http2-wrapper 2.1.11 间接依赖 npm
ip 1.1.8 间接依赖 npm
cli-width 4.0.0 间接依赖 npm
eastasianwidth 0.2.0 直接依赖 npm
eslint-import-resolver-node 0.3.6 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
urix 0.1.0 间接依赖 npm
has 1.0.3 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
release-it 15.5.0 直接依赖 npm
nanomatch 1.2.13 间接依赖 npm
eslint-config-standard 17.0.0 直接依赖 npm
snapdragon 0.8.2 间接依赖 npm
is-weakref 1.0.2 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
@iarna/toml 2.2.5 间接依赖 npm
eve-raphael 0.5.0 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
tslib 2.4.0 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
@szmarczak/http-timer 5.0.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
handlebars 4.7.7 间接依赖 npm
gaze 1.1.3 间接依赖 npm
functions-have-names 1.2.3 间接依赖 npm
node-fetch 2.6.7 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
spdx-exceptions 2.3.0 间接依赖 npm
qs 6.11.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
retry 0.13.1 间接依赖 npm
has-value 1.0.0 间接依赖 npm
string.prototype.trimend 1.0.5 间接依赖 npm
@types/parse-json 4.0.0 间接依赖 npm
redent 1.0.0 间接依赖 npm
eslint-scope 7.1.1 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
through 2.3.8 间接依赖 npm
reusify 1.0.4 间接依赖 npm
type-fest 0.20.2 间接依赖 npm
js-sdsl 4.2.0 间接依赖 npm
internal-slot 1.0.3 间接依赖 npm
protocols 2.0.1 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
json5 1.0.1 间接依赖 npm
glob 7.1.6 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
pupa 3.1.0 间接依赖 npm
global-dirs 3.0.0 间接依赖 npm
@octokit/auth-token 3.0.1 间接依赖 npm
escodegen 1.14.3 间接依赖 npm
node-domexception 1.0.0 间接依赖 npm
define-lazy-prop 2.0.0 间接依赖 npm
is-utf8 0.2.1 直接依赖 npm
array.prototype.map 1.0.4 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
web-streams-polyfill 3.2.1 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
is-yarn-global 0.4.0 间接依赖 npm
is-glob 3.1.0 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
matchdep 2.0.0 直接依赖 npm
is-absolute 1.0.0 间接依赖 npm
string-width 4.2.2 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
http-parser-js 0.4.10 间接依赖 npm
file-sync-cmp 0.1.1 间接依赖 npm
@humanwhocodes/module-importer 1.0.1 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
run-async 2.4.1 间接依赖 npm
is-unicode-supported 1.3.0 间接依赖 npm
is-boolean-object 1.1.2 间接依赖 npm
rc 1.2.8 间接依赖 npm
resolve-alpn 1.2.1 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
body 5.1.0 间接依赖 npm
@types/json5 0.0.29 间接依赖 npm
package-json 8.1.0 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
configstore 6.0.0 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
minimatch 3.0.8 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
is-callable 1.2.7 间接依赖 npm
path-root 0.1.1 间接依赖 npm
file-uri-to-path 2.0.0 间接依赖 npm
setprototypeof 1.2.0 间接依赖 npm
os-name 5.0.1 间接依赖 npm
eslint-plugin-n 15.5.1 直接依赖 npm
open 8.4.0 间接依赖 npm
braces 2.3.2 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
semver-diff 4.0.0 间接依赖 npm
error 7.0.2 间接依赖 npm
registry-auth-token 5.0.1 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
dot-prop 6.0.1 间接依赖 npm
esprima 4.0.1 间接依赖 npm
got 12.5.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
wrap-ansi 8.0.1 间接依赖 npm
grapheme-splitter 1.0.4 间接依赖 npm
acorn 8.8.1 间接依赖 npm
tiny-lr 1.1.1 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
is-shared-array-buffer 1.0.2 间接依赖 npm
latest-version 7.0.0 间接依赖 npm
eslint-utils 2.1.0 间接依赖 npm
faye-websocket 0.10.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
builtins 5.0.1 间接依赖 npm
repeating 2.0.1 间接依赖 npm
@eslint/eslintrc 1.3.3 间接依赖 npm
hooker 0.2.3 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
pako 0.2.9 间接依赖 npm
socks 2.7.0 间接依赖 npm
auto-changelog 2.4.0 直接依赖 npm
eslint-plugin-prettier 4.2.1 直接依赖 npm
for-in 1.0.2 间接依赖 npm
xregexp 2.0.0 间接依赖 npm
is-installed-globally 0.4.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
parse-path 7.0.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
async-retry 1.3.3 间接依赖 npm
split-string 3.1.0 间接依赖 npm
chardet 0.7.0 间接依赖 npm
array-includes 3.1.6 间接依赖 npm
cosmiconfig 7.0.1 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
ansi-escapes 5.0.0 间接依赖 npm
grunt-cli 1.4.3 间接依赖 npm
unbox-primitive 1.0.2 间接依赖 npm
universalify 0.1.2 间接依赖 npm
eslint-module-utils 2.7.4 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
eslint-config-prettier 8.5.0 直接依赖 npm
uglify-js 3.14.4 间接依赖 npm
widest-line 4.0.1 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
resolve 1.22.1 间接依赖 npm
safe-json-parse 1.0.1 间接依赖 npm
isarray 1.0.0 间接依赖 npm
new-github-release-url 2.0.0 间接依赖 npm
v8flags 3.2.0 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
get-uri 3.0.2 间接依赖 npm
proxy-agent 5.0.0 间接依赖 npm
get-symbol-description 1.0.0 间接依赖 npm
netmask 2.0.2 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
safe-buffer 5.2.0 间接依赖 npm
degenerator 3.0.2 间接依赖 npm
@octokit/core 4.0.5 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
is-arguments 1.1.1 间接依赖 npm
decompress-response 6.0.0 间接依赖 npm
data-uri-to-buffer 3.0.1 间接依赖 npm
string.prototype.trimstart 1.0.5 间接依赖 npm
is-set 2.0.2 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
underscore.string 3.3.5 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
colors 1.1.2 间接依赖 npm
pac-proxy-agent 5.0.0 间接依赖 npm
boxen 7.0.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
toidentifier 1.0.1 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
object.assign 4.1.4 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
url-join 5.0.0 间接依赖 npm
signal-exit 3.0.7 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
socks-proxy-agent 5.0.1 间接依赖 npm
buffer 6.0.3 间接依赖 npm
tmp 0.0.33 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
http-errors 2.0.0 直接依赖 npm
espree 9.4.1 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
tsconfig-paths 3.14.1 间接依赖 npm
ansi-align 3.0.1 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
grunt-contrib-watch 1.1.0 直接依赖 npm
readable-stream 2.3.7 间接依赖 npm
globby 13.1.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
levn 0.4.1 间接依赖 npm
semver 7.3.7 间接依赖 npm
esutils 2.0.3 间接依赖 npm
which-boxed-primitive 1.0.2 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
statuses 2.0.1 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
ret 0.1.15 间接依赖 npm
strip-final-newline 3.0.0 间接依赖 npm
getobject 1.0.2 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
@babel/code-frame 7.12.11 直接依赖 npm
grunt-legacy-log 3.0.0 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
pac-resolver 5.0.1 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
eslint 8.28.0 直接依赖 npm
camelcase 2.1.1 间接依赖 npm
smart-buffer 4.2.0 间接依赖 npm
findup-sync 0.3.0 间接依赖 npm
cli-boxes 3.0.0 间接依赖 npm
continuable-cache 0.3.1 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
macos-release 3.1.0 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
formdata-polyfill 4.0.10 直接依赖 npm
interpret 1.1.0 间接依赖 npm
extglob 2.0.4 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
get-value 2.0.6 间接依赖 npm
base 0.11.2 间接依赖 npm
flatted 3.1.1 间接依赖 npm
object.values 1.1.6 间接依赖 npm
inflight 1.0.6 间接依赖 npm
es-array-method-boxes-properly 1.0.0 间接依赖 npm
globule 1.2.1 间接依赖 npm
http-proxy-agent 4.0.1 间接依赖 npm
union-value 1.0.1 间接依赖 npm
fetch-blob 3.2.0 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
which 1.3.1 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
is-finite 1.1.0 间接依赖 npm
eslint-visitor-keys 3.3.0 间接依赖 npm
@tootallnate/once 1.1.2 间接依赖 npm
es-abstract 1.20.4 间接依赖 npm
registry-url 6.0.1 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
eslint-plugin-es 3.0.1 间接依赖 npm
slash 4.0.0 间接依赖 npm
normalize-url 8.0.0 间接依赖 npm
ci-info 3.3.0 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
xdg-basedir 5.1.0 间接依赖 npm
is-symbol 1.0.4 间接依赖 npm
unique-string 3.0.0 间接依赖 npm
tr46 0.0.3 间接依赖 npm
array-each 1.0.1 间接依赖 npm
for-own 1.0.0 间接依赖 npm
eslint-plugin-import 2.26.0 直接依赖 npm
is-string 1.0.7 间接依赖 npm
liftup 3.0.1 间接依赖 npm
chalk 2.4.2 间接依赖 npm
object-inspect 1.12.2 间接依赖 npm
callsites 3.1.0 间接依赖 npm
raphael 2.3.0 直接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
ignore 5.2.1 间接依赖 npm
define-property 2.0.2 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
git-up 7.0.0 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
ftp 0.3.10 间接依赖 npm
sprintf-js 1.1.2 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
globals 13.18.0 间接依赖 npm
log-symbols 5.1.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
grunt 1.5.3 直接依赖 npm
websocket-extensions 0.1.4 间接依赖 npm
@types/http-cache-semantics 4.0.1 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
define-properties 1.1.4 间接依赖 npm
merge2 1.4.1 间接依赖 npm
is-interactive 2.0.0 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
object.map 1.0.1 间接依赖 npm
bytes 1.0.0 间接依赖 npm
defaults 1.0.4 间接依赖 npm
pinkie-promise 2.0.1 直接依赖 npm
lodash 4.17.21 间接依赖 npm
grunt-contrib-clean 2.0.1 直接依赖 npm
isexe 2.0.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
@octokit/graphql 5.0.1 间接依赖 npm
cli-spinners 2.7.0 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
regexp.prototype.flags 1.4.3 间接依赖 npm
error-ex 1.3.2 直接依赖 npm
execa 6.1.0 间接依赖 npm
bl 5.1.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
@pnpm/npm-conf 1.0.5 间接依赖 npm
cacheable-request 10.2.7 间接依赖 npm
detect-file 1.0.0 直接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
ora 6.1.2 间接依赖 npm
quick-lru 5.1.1 间接依赖 npm
grunt-contrib-concat 2.1.0 直接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
async 3.2.4 间接依赖 npm
es-shim-unscopables 1.0.0 间接依赖 npm
eslint-plugin-node 11.1.0 直接依赖 npm
grunt-contrib-uglify-es 3.3.0 直接依赖 npm
pascalcase 0.1.1 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
esquery 1.4.0 间接依赖 npm
is-map 2.0.2 间接依赖 npm
unpipe 1.0.0 直接依赖 npm
fastq 1.13.0 间接依赖 npm
eslint-plugin-promise 6.1.1 直接依赖 npm
@octokit/types 7.5.0 间接依赖 npm
proxy-from-env 1.1.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
@octokit/rest 19.0.4 间接依赖 npm
ms 2.1.2 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
safe-regex-test 1.0.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
@humanwhocodes/config-array 0.11.7 间接依赖 npm
form-data-encoder 2.1.2 间接依赖 npm
optionator 0.9.1 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
promise.allsettled 1.0.5 间接依赖 npm
grunt-known-options 2.0.0 间接依赖 npm
http-cache-semantics 4.1.1 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
grunt-contrib-copy 1.0.0 直接依赖 npm
mkdirp 1.0.4 间接依赖 npm
make-iterator 1.0.1 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
source-map 0.5.7 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
responselike 3.0.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
universal-user-agent 6.0.0 间接依赖 npm
array.prototype.flat 1.3.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
punycode 2.1.1 间接依赖 npm
function.prototype.name 1.1.5 间接依赖 npm
extend 3.0.2 间接依赖 npm
spdx-license-ids 3.0.9 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
uri-path 1.0.0 间接依赖 npm
before-after-hook 2.2.2 间接依赖 npm
@sindresorhus/is 5.3.0 间接依赖 npm
wildcard-match 5.1.2 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
debug 3.2.7 间接依赖 npm
osenv 0.1.5 直接依赖 npm
strip-indent 1.0.1 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
iterate-iterator 1.0.2 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
string-template 0.2.1 间接依赖 npm
is-negative-zero 2.0.2 间接依赖 npm
update-notifier 6.0.2 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
mimic-response 4.0.0 间接依赖 npm
prettier 2.8.0 直接依赖 npm
has-yarn 3.0.0 间接依赖 npm
@octokit/plugin-rest-endpoint-methods 6.6.1 间接依赖 npm
depd 2.0.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
@babel/helper-validator-identifier 7.14.5 间接依赖 npm
escape-goat 4.0.0 间接依赖 npm
human-signals 3.0.1 间接依赖 npm
fast-glob 3.2.12 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
(0)
上一篇 2024年2月29日
下一篇 2024年2月29日

相关推荐

  • Aerolab/midnight.js 软件分析报告

    基础信息 项目名称:Aerolab/midnight.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715552724836990976/1715552726044950528 此报告由Murphysec提…

    软件分析 2023年10月23日
    0
  • DaveWM/willa 软件分析报告

    基础信息 项目名称:DaveWM/willa 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721126043951108096/1722636601171091456 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年11月9日
    0
  • ezEngine/ezEngine 软件分析报告

    基础信息 项目名称:ezEngine/ezEngine 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717601098058743808/1717601098096492544 此报告由Murphysec提供 …

    软件分析 2023年10月27日
    0
  • laoqiren/isomorphic-redux-CNode 软件分析报告

    基础信息 项目名称:laoqiren/isomorphic-redux-CNode 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721356536562667520/1721356536608804864 此报…

    软件分析 2023年11月6日
    0
  • dshearer/jobber 软件分析报告

    基础信息 项目名称:dshearer/jobber 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721150278631161856/1725840612380332032 此报告由Murphysec提供 漏洞…

    软件分析 2023年11月18日
    0